int start_game( void );
void move_right( void );
void move_left( void );
void rotate( void );
int fall_on( void );
int push_start( void );
void fall_off( void );
int game( void );
void draw_map( int x, int y );
void draw_next( void );
void show_title( int mode );
void show_gameover( int mode );
void init_game( void );
void change_color( int dir );
void save_highscore( int i );

#define B_WALL    6
#define B_MAGIC   7
#define B_FIRE    8
#define B_NONE    9

#define B_CHECK_MSK   16

